Bug 180299 - Review Request: pitivi
Review Request: pitivi
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-06 18:31 EST by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-31 17:42:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2006-02-06 18:31:46 EST
Spec Name or Url: http://www.flyn.org/SRPMS/pitivi.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/pitivi-0.9.9.2-1.src.rpm
Description:
Pitivi is an application using the GStreamer multimedia framework to
manipulate a large set of multimedia sources.

At this level of development it can be compared to a classic video editing
program.
Comment 1 Jeffrey C. Ollie 2006-02-07 00:13:12 EST
1. Eliminate the various %defines at the beginning of the spec 
2. Use "make DESTDIR=$RPM_BUILD_ROOT install" instead of %makeinstall
3. Use -p when manually calling install
4. Need to BuildRequire: gnonlin-devel
5. Need to Require: gnonlin
6. Use desktop-file-install to install .desktop file.  See:
<http://www.fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755>
7. BuildArch: noarch
8. %files section probably would work better as follows.  That way the .pyo
files aren't packaged, but will be removed when the
packags is uninstalled.

%{_bindir}/pitivi
%dir %{_libdir}/pitivi
%dir %{_libdir}/pitivi/python
%dir %{_libdir}/pitivi/python/pitivi
%{_libdir}/pitivi/python/pitivi/*.py
%{_libdir}/pitivi/python/pitivi/*.pyc
%ghost %{_libdir}/pitivi/python/pitivi/*.pyo
%dir %{_libdir}/pitivi/python/pitivi/ui
%{_libdir}/pitivi/python/pitivi/ui/*.py
%{_libdir}/pitivi/python/pitivi/ui/*.pyc
%ghost %{_libdir}/pitivi/python/pitivi/ui/*.pyo
%{_datadir}/pitivi
%{_datadir}/applications/pitivi.desktop

9. I could get pitivi to run, but couldn't seem to get it to do much.
10. Eliminate period at end of summary.
Comment 2 W. Michael Petullo 2006-02-07 18:52:09 EST
Implemented Jeffrey's suggestions:

Spec Name or Url: http://www.flyn.org/SRPMS/pitivi.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/pitivi-0.9.9.2-2.src.rpm
Description:
Pitivi is an application using the GStreamer multimedia framework to
manipulate a large set of multimedia sources.

At this level of development it can be compared to a classic video editing
program.
Comment 3 Jeffrey C. Ollie 2006-02-08 00:59:37 EST
Here's the full review:

- MUST: rpmlint must be run on every package. The output should
  be posted in the review.

Not OK (Does not build yet in mock.)

- MUST: The package must be named according to the Package
  Naming Guidelines.

OK

- MUST: The spec file name must match the base package %{name},
  in the format %{name}.spec

OK

- MUST: The package must meet the Packaging Guidelines.

OK

- MUST: The package must be licensed with an open-source
  compatible license and meet other legal requirements as
  defined in the legal section of Packaging Guidelines.

OK (GPL)

- MUST: The License field in the package spec file must match
  the actual license.

OK

- MUST: If (and only if) the source package includes the text of
  the license(s) in its own file, then that file, containing the
  text of the license(s) for the package must be included in
  %doc.

OK

- MUST: The spec file must be written in American English.

OK

- MUST: The spec file for the package MUST be legible. If the
  reviewer is unable to read the spec file, it will be
  impossible to perform a review. Fedora Extras is not the place
  for entries into the Obfuscated Code Contest ([WWW]
  http://www.ioccc.org/).

OK

- MUST: The sources used to build the package must match the
  upstream source, as provided in the spec URL. Reviewers should
  use md5sum for this task.

OK

- MUST: The package must successfully compile and build into
  binary rpms on at least one supported architecture.

Not OK (See notes about BuildRequires and unpackaged files).

- MUST: If the package does not successfully compile, build or
  work on an architecture, then those architectures should be
  listed in the spec in ExcludeArch. Each architecture listed in
  ExcludeArch needs to have a bug filed in bugzilla, describing
  the reason that the package does not compile/build/work on
  that architecture. The bug number should then be placed in a
  comment, next to the corresponding ExcludeArch line. New
  packages will not have bugzilla entries during the review
  process, so they should put this description in the comment
  until the package is approved, then file the bugzilla entry,
  and replace the long explanation with the bug number. The bug
  should be marked as blocking one (or more) of the following
  bugs to simplify tracking such issues: [WWW]
  FE-ExcludeArch-x86, [WWW] FE-ExcludeArch-x64, [WWW]
  FE-ExcludeArch-ppc

Not OK (Does not build yet.)

- MUST: A package must not contain any BuildRequires that are
  listed in the exceptions section of Packaging Guidelines.

OK

- MUST: All other Build dependencies must be listed in
  BuildRequires.

Not OK (Need to BuildRequire pygtk2-devel gnome-python2 and
gstreamer-python)

- MUST: The spec file MUST handle locales properly. This is done
  by using the %find_lang macro. Using %{_datadir}/locale/* is
  strictly forbidden.

OK (No localized text.)

- MUST: If the package contains shared library files located in
  the dynamic linker's default paths, that package must call
  ldconfig in %post and %postun. If the package has multiple
  subpackages with libraries, each subpackage should also have a
  %post/%postun section that calls /sbin/ldconfig. An example of
  the correct syntax for this is:

  %post -p /sbin/ldconfig
  %postun -p /sbin/ldconfig

OK (No shared libraries.)

- MUST: If the package is designed to be relocatable, the
  packager must state this fact in the request for review, along
  with the rationalization for relocation of that specific
  package. Without this, use of Prefix: /usr is considered a
  blocker.

OK (Not designed to be relocatable.)

- MUST: A package must own all directories that it creates. If
  it does not create a directory that it uses, then it should
  require a package which does create that directory. The
  exception to this are directories listed explicitly in the
  Filesystem Hierarchy Standard ([WWW]
  http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe
  to assume that those directories exist.

Not OK (missing %{_libdir}/pitivi/python/pitivi/ui/*.glade)

- MUST: A package must not contain any duplicate files in the
  %files listing.

OK

- MUST: Permissions on files must be set properly. Executables
  should be set with executable permissions, for example. Every
  %files section must include a %defattr(...) line.

OK

- MUST: Each package must have a %clean section, which contains
  rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK

- MUST: Each package must consistently use macros, as described
  in the macros section of Packaging Guidelines.

OK

- MUST: The package must contain code, or permissable
  content. This is described in detail in the code vs. content
  section of Packaging Guidelines.

OK

- MUST: Large documentation files should go in a -docs
  subpackage. (The definition of large is left up to the
  packager's best judgement, but is not restricted to
  size. Large can refer to either size or quantity)

OK (No large docs.)

- MUST: If a package includes something as %doc, it must not
  affect the runtime of the application. To summarize: If it is
  in %doc, the program must run properly if it is not present.

OK

- MUST: Header files or static libraries must be in a -devel
  package.

OK (no header files or static libraries)

- MUST: Files used by pkgconfig (.pc files) must be in a -devel
  package.

OK (no pkgconfig files)

- MUST: If a package contains library files with a suffix
  (e.g. libfoo.so.1.1), then library files that end in .so
  (without suffix) must go in a -devel package.

OK (no shared libs)

- MUST: In the vast majority of cases, devel packages must
  require the base package using a fully versioned dependency.

OK (no -devel subpackage)

- MUST: Packages must NOT contain any .la libtool archives,
  these should be removed in the spec.

OK

- MUST: Packages containing GUI applications must include a
  %{name}.desktop file, and that file must be properly installed
  with desktop-file-install in the %install section. This is
  described in detail in the desktop files section of Packaging
  Guidelines. If you feel that your packaged GUI application
  does not need a .desktop file, you must put a comment in the
  spec file with your explanation.

OK

- MUST: Packages must not own files or directories already owned
  by other packages. The rule of thumb here is that the first
  package to be installed should own the files or directories
  that other packages may rely upon. This means, for example,
  that no package in Fedora Extras should ever share ownership
  with any of the files or directories owned by the filesystem
  or man package. If you feel that you have a good reason to own
  a file or directory that another package owns, then please
  present that at package review time.

OK

- SHOULD: If the source package does not include license text(s) as a
  separate file from upstream, the packager SHOULD query upstream to
  include it.

OK

- SHOULD: The description and summary sections in the package spec
  file should contain translations for supported Non-English
  languages, if available.

OK

- SHOULD: The reviewer should test that the package builds in mock.

Not OK (Missing build requires - see above).

- SHOULD: The package should compile and build into binary rpms on all
  supported architectures.

Not OK (Does not build yet.)

- SHOULD: The reviewer should test that the package functions as
  described. A package should not segfault instead of running, for
  example.

Not OK (Does not build yet.)

- SHOULD: If scriptlets are used, those scriptlets must be sane. This
  is vague, and left up to the reviewers judgement to determine
  sanity.

OK (no scriptlets)

- SHOULD: Usually, subpackages other than devel should require the
  base package using a fully versioned dependency.

OK (no subpackages)
Comment 4 W. Michael Petullo 2006-02-08 21:32:17 EST
Implemented Jeffrey's suggestions:

Spec Name or Url: http://www.flyn.org/SRPMS/pitivi.spec
SRPM Name or Url: http://www.flyn.org/SRPMS/pitivi-0.9.9.2-3.src.rpm
Description:
Pitivi is an application using the GStreamer multimedia framework to
manipulate a large set of multimedia sources.

At this level of development it can be compared to a classic video editing
program.
Comment 5 Jeffrey C. Ollie 2006-02-11 15:39:27 EST
The package itself looks fine now, but I still can't get pitivi to do anything
for me though.  I can add some OGG/Theora videos and kind of stick them into the
timeline, but there's all the video is dark green and I can't save/open a
project.  I have the -bad and -ugly plugins from freshrpms, but if plugins from
-bad or -ugly are needed then probably pitivi shouldn't be in FE since the -bad
and -ugly plugins can't be in FE.
Comment 6 Jeffrey C. Ollie 2006-03-01 12:13:35 EST
I'm going to set this to APPROVED to get things moving even though it doesn't
seem to work for me... It may just be my laptop messing up.
Comment 7 W. Michael Petullo 2006-03-31 17:42:14 EST
I don't plan on tagging for FCX until pitivi is more stable.  Until then, the
package will be available in Rawhide.  A new pitivi release is expected soon.
Comment 8 Jeffrey C. Ollie 2007-10-17 14:27:08 EDT
Package Change Request
======================
Package Name: pitivi
New Branches: F-8

Would like to upgrade rawhide to new unstable version but be able to keep stable
version in F-8.
Comment 9 Kevin Fenzi 2007-10-17 20:11:06 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.